reSIProcate
SIP stack, Dialog Usage Manager and related libraries
Loading...
Searching...
No Matches
resip::NameAddr Member List

This is the complete list of members for resip::NameAddr, including all inherited members.

addParameter(Parameter *param)resip::ParserCategoryprotected
addParameter(UnknownParameter *unknownParam)resip::ParserCategoryprotected
adjustDisplayNameIfNeeded()resip::NameAddrprotected
checkParsed() constresip::LazyParserinline
checkParsed()resip::LazyParserinline
clearUnknownParameters()resip::ParserCategory
clone() constresip::NameAddrvirtual
clone(void *location) constresip::NameAddrvirtual
clone(PoolBase *pool) constresip::NameAddrvirtual
commaHandlingresip::NameAddrstatic
CommaHandlingMode enum nameresip::ParserCategory
CommasAllowedOutputCommas enum valueresip::ParserCategory
CommasAllowedOutputMulti enum valueresip::ParserCategory
commutativeParameterHash() constresip::ParserCategory
createParam(ParameterTypes::Type type, ParseBuffer &pb, const std::bitset< 256 > &terminators, PoolBase *pool)resip::NameAddrvirtual
defineParam(data, "data", ExistsParameter, "RFC 3840")resip::NameAddr
defineParam(control, "control", ExistsParameter, "RFC 3840")resip::NameAddr
defineParam(mobility, "mobility", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(description, "description", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(events, "events", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(priority, "priority", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(methods, "methods", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(schemes, "schemes", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(application, "application", ExistsParameter, "RFC 3840")resip::NameAddr
defineParam(video, "video", ExistsParameter, "RFC 3840")resip::NameAddr
defineParam(language, "language", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(type, "type", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(isFocus, "isfocus", ExistsParameter, "RFC 3840")resip::NameAddr
defineParam(actor, "actor", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(text, "text", ExistsOrDataParameter, "RFC 3840")resip::NameAddr
defineParam(extensions, "extensions", QuotedDataParameter, "RFC 3840")resip::NameAddr
defineParam(Instance, "+sip.instance", QuotedDataParameter, "RFC 5626")resip::NameAddr
defineParam(regid, "reg-id", UInt32Parameter, "RFC 5626")resip::NameAddr
defineParam(pubGruu, "pub-gruu", QuotedDataParameter, "RFC 5627")resip::NameAddr
defineParam(tempGruu, "temp-gruu", QuotedDataParameter, "RFC 5627")resip::NameAddr
defineParam(expires, "expires", UInt32Parameter, "RFC 3261")resip::NameAddr
defineParam(q, "q", QValueParameter, "RFC 3261")resip::NameAddr
defineParam(tag, "tag", DataParameter, "RFC 3261")resip::NameAddr
defineParam(index, "index", DataParameter, "RFC 4244")resip::NameAddr
defineParam(rc, "rc", DataParameter, "RFC 4244-bis")resip::NameAddr
defineParam(mp, "mp", DataParameter, "RFC 4244-bis")resip::NameAddr
defineParam(np, "np", DataParameter, "RFC 4244-bis")resip::NameAddr
defineParam(reason, "reason", DataParameter, "RFC 5806")resip::NameAddr
defineParam(counter, "counter", UInt32Parameter, "RFC 5806")resip::NameAddr
defineParam(limit, "limit", UInt32Parameter, "RFC 5806")resip::NameAddr
defineParam(privacy, "privacy", DataParameter, "RFC 5806")resip::NameAddr
defineParam(screen, "screen", DataParameter, "RFC 5806")resip::NameAddr
displayName()resip::NameAddr
displayName() constresip::NameAddr
doParse() constresip::LazyParser
EmptyParameterTypeSetresip::ParserCategorystatic
encode(EncodeStream &str) constresip::LazyParser
encodeParameters(EncodeStream &str) constresip::ParserCategory
encodeParsed(EncodeStream &str) constresip::NameAddrvirtual
errorContext() constresip::ParserCategoryprotectedvirtual
exists(const Param< NameAddr > &paramType) constresip::NameAddr
exists(const ParamBase &paramType) constresip::NameAddrinline
exists(const ExtensionParameter &param) constresip::NameAddr
freeParameter(Parameter *p)resip::ParserCategoryinlineprotected
getHeaderField()resip::LazyParserinline
getParameterByData(const Data &data) constresip::ParserCategoryprotected
getParameterByEnum(ParameterTypes::Type type) constresip::ParserCategory
getPool()resip::ParserCategoryinlineprotected
isAllContacts() constresip::NameAddr
isParsed() constresip::LazyParserinline
isWellFormed() constresip::LazyParser
LazyParser(const HeaderFieldValue &headerFieldValue)resip::LazyParserexplicit
LazyParser(const char *buf, int length)resip::LazyParser
LazyParser(const HeaderFieldValue &headerFieldValue, HeaderFieldValue::CopyPaddingEnum e)resip::LazyParser
LazyParser(const LazyParser &rhs)resip::LazyParser
LazyParser(const LazyParser &rhs, HeaderFieldValue::CopyPaddingEnum e)resip::LazyParser
LazyParser()resip::LazyParserprotected
mAllContactsresip::NameAddrprotected
markDirty() constresip::LazyParserinline
mDisplayNameresip::NameAddrprotected
mHeaderTyperesip::ParserCategoryprotected
mParametersresip::ParserCategoryprotected
mPoolresip::ParserCategoryprotected
mUnknownParametersresip::ParserCategoryprotected
mUnknownUriParametersBufferresip::NameAddrprotected
mUriresip::NameAddrprotected
mustQuoteDisplayName() constresip::NameAddrprotected
NameAddr()resip::NameAddr
NameAddr(const HeaderFieldValue &hfv, Headers::Type type, PoolBase *pool=0)resip::NameAddr
NameAddr(const Uri &orig)resip::NameAddrexplicit
NameAddr(const Data &unparsed, bool preCacheAor=false)resip::NameAddrexplicit
NameAddr(const NameAddr &orig, PoolBase *pool=0)resip::NameAddr
NoCommaTokenizing enum valueresip::ParserCategory
numKnownParams() constresip::ParserCategoryinline
numUnknownParams() constresip::ParserCategoryinline
operator<(const NameAddr &other) constresip::NameAddr
operator=(const NameAddr &)resip::NameAddr
resip::ParserCategory::operator=(const ParserCategory &rhs)resip::ParserCategory
resip::LazyParser::operator=(const LazyParser &rhs)resip::LazyParser
operator==(const NameAddr &other) constresip::NameAddr
param(const ExtensionParameter &param) constresip::NameAddr
param(const ExtensionParameter &param)resip::NameAddr
ParameterList typedefresip::ParserCategoryprotected
ParameterTypeSet typedefresip::ParserCategory
parse(ParseBuffer &pb)resip::NameAddrvirtual
parseParameters(ParseBuffer &pb)resip::ParserCategory
ParserCategory(const HeaderFieldValue &headerFieldValue, Headers::Type type, PoolBase *pool=0)resip::ParserCategory
ParserCategory(const char *buf, int length, Headers::Type type, PoolBase *pool=0)resip::ParserCategory
ParserCategory(const ParserCategory &rhs, PoolBase *pool=0)resip::ParserCategory
ParserCategory(PoolBase *pool=0)resip::ParserCategoryprotected
remove(const Param< NameAddr > &paramType)resip::NameAddr
remove(const ParamBase &paramType)resip::NameAddr
remove(const ExtensionParameter &param)resip::NameAddr
removeParameterByData(const Data &data)resip::ParserCategoryprotected
removeParameterByEnum(ParameterTypes::Type type)resip::ParserCategory
removeParametersExcept(const ParameterTypeSet &set=EmptyParameterTypeSet)resip::ParserCategory
setAllContacts()resip::NameAddr
setParameter(const Parameter *parameter)resip::ParserCategory
UnknownParserCategory enum valueresip::ParserCategory
uri()resip::NameAddr
uri() constresip::NameAddr
~LazyParser()resip::LazyParservirtual
~NameAddr()resip::NameAddrvirtual
~ParserCategory()resip::ParserCategoryvirtual